import ugfx, badge

ugfx.init()
ugfx.LUT_FULL
ugfx.input_init()
ugfx.clear(ugfx.BLACK)
ugfx.flush()
ugfx.clear(ugfx.WHITE)
ugfx.flush()

def go_home(pushed):
    if(pushed):
        import machine
        machine.deepsleep(1)

ugfx.input_attach(ugfx.BTN_B, go_home)
ugfx.string_box(0,10,296,26, "MakeSpace Madrid is a MakeSpace/HackSpace based in Spain", "Roboto_BlackItalic20", ugfx.BLACK, ugfx.justifyLeft)
ugfx.string_box(0,30,296,26, "Come to visit us if you are in the neighbourhood!", "Roboto_BlackItalic22", ugfx.BLACK, ugfx.justifyLeft)
ugfx.string_box(0,60,296,26, "info@makespacemadrid.org", "Roboto_BlackItalic22", ugfx.BLACK, ugfx.justifyLeft)

badge.eink_png(100,50,'/lib/makespacemadridlogo/makespacemadrid.png')
ugfx.flush()